# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.



###############################
#Global resources found in the package: ./editor/src/org/netbeans/modules/mobility/editor
###############################
Menu/Edit/PreprocessorBlocks=Preprocessor &Blocks
NetBeans55=NetBeans 5.5
NetBeansEarth=Earth
CityLights=City Lights
BlueTheme=Norway Today
DESC_DEFINED_CC=Defined ability
DESC_TITLE_VAR_CC=Available Items

###############################
#Resources found in the file: J2MEEditorDocument.java
###############################
text/x-java-preprocessor=Java ME Preprocessor
pp-command=Preprocessor Directive
pp-active-block=Active Preprocessor Block
pp-inactive-block=Inactive Preprocessor Block
LBL_PreprocessorHint=Preprocessor Hint

###############################
#Resources found in the file: PPCompletionProvider.java
###############################
DESC_UNDEFINED_CC=Undefined ability
DESC_CONFIG_CC=Project Configuration
DESC_TITLE_DIRE_CC=Available Directives

###############################
#Resources found in the file: J2MEKit.java
###############################
generate-preprocessor-popup=Generate Preprocessor Blocks Popup

###################################
#Resources not used in the package
###################################
OpenIDE-Module-Name=Java ME Editor Support
OpenIDE-Module-Display-Category=Mobility
OpenIDE-Module-Short-Description=Java Micro Edition Editor Support module
OpenIDE-Module-Long-Description=Java Micro Edition Editor Support module
LAB_PreprocessorAnnotation=Preprocessor error
LBL_Config_Blocks=Preprocessor Blocks
LBL_Collapse_Config_Blocks=Collapse Preprocessor Blocks
LBL_Expand_Config_Blocks=Expand Preprocessor Blocks
LBL_Inverted_Block=Inverted Block
DESC_Collapse_For_Active=Collapse all preprocessor blocks and expand all blocks that contain the active configuration
LBL_Collapse_For_Active=Expand/Collapse for Current Configuration
LBL_Add_Block_Desc=Add or remove configurations from block
LBL_Add_Block_Title=Manage Preprocessor Block...
LBL_Manage_Block_Title=Manage Preprocessor Block
LBL_Create_Update_Block_Title=Create If and Update Else Block
LBL_Add_Configuration_To_Project=Add Configurations To Project...
PROP_J2MELoader_Name=Java ME Source Objects

#PreProcessor code completion bundles
DESC_DEBUG_CC_1=Default level
DESC_DEBUG_CC_2=Informational
DESC_DEBUG_CC_3=Warnings only
DESC_DEBUG_CC_4=Errors only
DESC_DEBUG_CC_5=Unrecoverable errors only
DESC_DIRECTIVE_CC_1=Evaluate expression
DESC_DIRECTIVE_CC_2=Check for definition
DESC_DIRECTIVE_CC_3=Check for absence
DESC_DIRECTIVE_CC_4=Otherwise check for definition
DESC_DIRECTIVE_CC_5=Otherwise check for absence
DESC_DIRECTIVE_CC_6=Otherwise evaluate expression
DESC_DIRECTIVE_CC_7=Close the block
DESC_DIRECTIVE_CC_8=Otherwise
DESC_DIRECTIVE_CC_9=Debug next line
DESC_DIRECTIVE_CC_10=Debug multiple lines
DESC_DIRECTIVE_CC_11=Close #mdebug block
DESC_DIRECTIVE_CC_12=Define temporary symbol
DESC_DIRECTIVE_CC_13=Undefine symbol
DESC_DIRECTIVE_CC_14=Mark source file
